// creator  : weidu.exe (version 23100)
// argument : TRGYP03.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TRGYP03~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #4 /* Triggers after states #: 4 6 7 8 even though they appear after this state */
~RandomNum(4,1)~ THEN BEGIN 0 // from:
  SAY #47195 /* ~You look funny.  Mama says you're not one of the Rom.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 4 6 7 8 even though they appear after this state */
~RandomNum(4,2)~ THEN BEGIN 1 // from:
  SAY #47196 /* ~Papa says we're going to be going home, soon.  I like the forests better.  The trees are so big and the elves people treat us real nice.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 4 6 7 8 even though they appear after this state */
~RandomNum(4,3)~ THEN BEGIN 2 // from:
  SAY #47197 /* ~We used to have great big parties with the other Rom families.  Papa says a lot of them have died, now.  Killed by wild animals, Papa says.  Why would the animals do that?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 /* Triggers after states #: 4 6 7 8 even though they appear after this state */
~RandomNum(4,4)~ THEN BEGIN 3 // from:
  SAY #47198 /* ~I don't like it here.  The people aren't Rom and they're mean.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~Name(LastTalkedToBy,"Mazzy")
Global("rinninmazzy","LOCALS",0)~ THEN BEGIN 4 // from:
  SAY #47199 /* ~You're not an elf, and you're really short.  And you got hair on your feet.  What kind of person are you?~ */
  IF ~~ THEN DO ~SetGlobal("rinninmazzy","LOCALS",1)~ EXTERN ~MAZZYJ~ 123
END

IF ~~ THEN BEGIN 5 // from:
  SAY #47202 /* ~Mama doesn't let me go out much.  Mama says she doesn't want me to learn city ways.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~Name(LastTalkedToBy,"Edwin")
Gender("Edwin",MALE)
Global("rininedwin","LOCALS",0)~ THEN BEGIN 6 // from:
  SAY #47205 /* ~You look like an awfully mean person.  Mama says you can see a lot about someone by the shape of their face, and you got a mean shaped face, mister.~ */
  IF ~~ THEN DO ~SetGlobal("rininedwin","LOCALS",1)~ EXTERN ~EDWINJ~ 40
END

IF WEIGHT #2 ~Name(LastTalkedToBy,"Viconia")
Global("rininviconia","LOCALS",0)~ THEN BEGIN 7 // from:
  SAY #47208 /* ~We had lots of elves back home in the forests, but none like you.  Why is your skin so black?  Why aren't any of the other elves a pretty black like you?~ */
  IF ~~ THEN DO ~SetGlobal("rininviconia","LOCALS",1)~ EXTERN ~VICONIJ~ 35
END

IF WEIGHT #3 ~Name(LastTalkedToBy,"Aerie")
Global("rininaerie","LOCALS",0)
~ THEN BEGIN 8 // from:
  SAY #47211 /* ~You're an elf!  We had lots of elves in the forest!  They were real nice.  I don't remember any of them being sad, though... why are you so sad?~ */
  IF ~~ THEN DO ~SetGlobal("rininaerie","LOCALS",1)~ EXTERN ~AERIEJ~ 51
END
